#ifndef MYSQL_POOL_H
#define MYSQL_POOL_H
#include "stopos_pool.h"
#include "stopos_key.h"
#include "mysql_connection.h"
#include "stopos.h"
#include <cppconn/driver.h>
#include <cppconn/exception.h>
#include <cppconn/resultset.h>
#include <cppconn/statement.h>
#include <cppconn/prepared_statement.h>

class mysql_pool: public stopos_pool
{
  private:

    int get_record(std::string &r, const std::string &k, const std::string &l);
    int put_record(const std::string &r, const std::string &k, const std::string &l);
    int remove_record(const stopos_key &k);

    void create_fname(std::string &fname,const stopos_key &k);

    const static int STATUSTOOLONG = 101;
    const static int NOTDIR = 102;


    sql::Connection *connection;
    sql::Statement *stmt;

  public:
    mysql_pool();
    ~mysql_pool();
    int create_db(const std::string &dbname);
    int purge_db(void);
    int open_db(void);
    int close_db(void);
    void dump_db(void);
};
#endif
